Subject: [alpine-devel] new aport libpng

From: "Carlo Landmeter" <[email-masked]>
Date: Fri, 30 Jan 2009 08:44:36 +0000

See attached git patch.

carlo

From 99d91bf6acb4e14e2786d92f64023324f2d5c4ed Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Fri, 30 Jan 2009 08:43:26 +0000
Subject: [PATCH] extra/libpng: new aport

---
 extra/libpng/APKBUILD |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 extra/libpng/APKBUILD

diff --git a/extra/libpng/APKBUILD b/extra/libpng/APKBUILD
new file mode 100644
index 0000000..2c8b0ef
--- /dev/null
+++ b/extra/libpng/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=libpng
+pkgver=1.2.34
+pkgrel=0
+pkgdesc="Portable Network Graphics library"
+url="http://www.libpng.org/"
+license="GPL"
+depends="zlib"
+makedepends="zlib-dev"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+	
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+	install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE || return 1 
+}
+
+md5sums="6ca3e836887fa5f5f509c36e194f8c00  libpng-1.2.34.tar.gz"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Fri, 30 Jan 2009 10:49:55 +0100

> carlo

very well!

I committed and removed some trailing whitespaces.

thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---